﻿#Jack Fruh 2-2013 script to capture storage amounts
#sharepointjack.com
#questions? Ask me on twitter - @sharepointjack

Add-PSSnapin microsoft.sharepoint.powershell -ErrorAction SilentlyContinue
############################################################
# SHARED VARS
$timestamp = get-date -format "yyyyMMdd_hhmmtt"
$date = get-date -format "yyyyMMdd"

########################################################
#By DB
$filenameStart = "SizeByContentDatabase.csv"
$outfile = ("C:\Scripts_output\{0}_{1}.csv" -f $filenamestart, $timestamp)

$header = "Date,DBName,Size,SiteCollectionCount"
write-host $header 
$header | out-file $outfile

Start-SPassignment -global
$dblist = get-spcontentDatabase
foreach ($db in $dblist)
{ 
   #output the DB size 
   $size = $db.DisksizeRequired
   $dbname = $db.name
   $siteCount = $db.sites.count
   $line = "$date,$dbname,$size,$siteCount"
   

   write-host $line -foregroundcolor "yellow"
   $line | out-file $outfile -append 
}
Stop-SPAssignment -global
[GC]::Collect() #this is supposed to reclaim memory, not sure its working